Bio::Seq::SeqFastaSpeedFactory(3)

NAME
Bio::Seq::SeqFastaSpeedFactory - Rapid creation of Bio::Seq objects through a factory

SYNOPSIS
    use Bio::Seq::SeqFastaSpeedFactory;
    my $factory = Bio::Seq::SeqFastaSpeedFactory->new();
    my $seq = $factory->create( -seq => 'WYRAVLC',
                                -id  => 'name'     );

DESCRIPTION
This factory was designed to build Bio::Seq objects as quickly as possible, but is not as generic as Bio::Seq::SeqFactory. It can be used to create sequences from non-rich file formats. The Bio::SeqIO::fasta sequence parser uses this factory.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason@bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Seq::SeqFastaSpeedFactory->new();
 Function: Builds a new Bio::Seq::SeqFastaSpeedFactory object
 Returns : Bio::Seq::SeqFastaSpeedFactory
 Args    : None

  create
 Title   : create
 Usage   : my $seq = $seqbuilder->create(-seq => 'CAGT', -id => 'name');
 Function: Instantiates a new Bio::Seq object, correctly built but very
           fast, knowing stuff about Bio::PrimarySeq and Bio::Seq
 Returns : A Bio::Seq object
 Args    : Initialization parameters for the sequence object we want:
              -id
              -primary_id
              -display_id
              -desc
              -seq
              -alphabet